
/*
             Copyright (c) 1985, Robert S. French
                  Placed in the Public Domain
*/
#include "exec/types.h"
#include "exec/nodes.h"
#include "exec/lists.h"
#include "devices/timer.h"
#include "libraries/dos.h"
#include "lattice/stdio.h"
#include "lattice/math.h"
#include "intuition/intuition.h"
#include "graphics/text.h"
#include "fcntl.h"
#include "iff.h"

struct   BitMapHeader
{
   USHORT   w;
   USHORT   h;
   SHORT   x, y;
   UBYTE   nPlanes, masking, compression, pad1;
   USHORT   TransparentColor;
   UBYTE   xAspect, yAspect;
   SHORT   PageWidth, PageHeight;
};

struct   PaintingHeader
{
   LONG   IFFID, FileLength, ILBMID, BMHDID, BitMapSize;
   struct   BitMapHeader BitMapHeader;
   LONG   CMAP, CMAPlength;
};

/* the MakeID macro is defined in iff.h */
#define ILBM                    MakeID('I','L','B','M')
#define BMHD                    MakeID('B','M','H','D')
#define BODY                    MakeID('B','O','D','Y')
#define CMAP                    MakeID('C','M','A','P')
#define CAMG                    MakeID('C','A','M','G')

